> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Destination

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v1/channels/{id}/destinations": {
      "post": {
        "summary": "Create Destination",
        "description": "",
        "tags": [
          "Destinations"
        ],
        "operationId": "createChannelDestination",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the Channel"
          }
        ],
        "x-codegen-request-body-name": "destination",
        "requestBody": {
          "description": "",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "title": "DestinationRequest",
                "type": "object",
                "required": [
                  "name",
                  "channelId",
                  "enabled",
                  "destinationTypeId",
                  "staticUrlDelivery"
                ],
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": "string"
                  },
                  "channelId": {
                    "type": "string"
                  },
                  "enabled": {
                    "type": "boolean",
                    "default": true
                  },
                  "ssaiEnabled": {
                    "type": "boolean",
                    "default": false
                  },
                  "adInsertionServers": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "slateId": {
                          "type": "string"
                        },
                        "queryParams": {
                          "type": "string",
                          "description": "Depending on your ADS, you can specify custom ad parameters to send in the request to your ad provider. These parameters help to identify the playback session and viewer so that ads can be more targeted."
                        },
                        "url": {
                          "type": "string",
                          "description": "Also known as ADS. This is typically a VAST-compliant tag URL generated by your ad provider. This is the tag URL used by this channel when inserting ad breaks into the manifest."
                        },
                        "prefetch": {
                          "type": "object",
                          "properties": {
                            "enabled": {
                              "type": "boolean",
                              "description": "Enables ad prefetch in ssai enabled destinations.  Allows for consistent playback of ads."
                            },
                            "retrieval": {
                              "type": "number",
                              "description": "Prefetch Retrieval Time (seconds)"
                            }
                          }
                        },
                        "customCdnUrl": {
                          "type": "string",
                          "description": "Custom CDN url"
                        },
                        "deviceCategory": {
                          "type": "string",
                          "enum": [
                            "default",
                            "web",
                            "mobile",
                            "tv"
                          ]
                        },
                        "availSuppressionConfig": {
                          "type": "object",
                          "title": "AvailSuppressionConfig",
                          "description": "Controls ad break (avail) suppression relative to the live edge. When mode is OFF, other fields are ignored. For BEHIND_LIVE_EDGE or AFTER_LIVE_EDGE, `value` is required (HH:MM:SS, e.g. `00:45:00`). For BEHIND_LIVE_EDGE, `fillPolicy` is always normalized to FULL_AVAIL_ONLY. For AFTER_LIVE_EDGE, `fillPolicy` must be FULL_AVAIL_ONLY or PARTIAL_AVAIL.\n",
                          "properties": {
                            "mode": {
                              "type": "string",
                              "enum": [
                                "OFF",
                                "BEHIND_LIVE_EDGE",
                                "AFTER_LIVE_EDGE"
                              ]
                            },
                            "value": {
                              "type": "string",
                              "description": "Offset from the live edge in HH:MM:SS format (required when mode is BEHIND_LIVE_EDGE or AFTER_LIVE_EDGE).",
                              "example": "00:45:00"
                            },
                            "fillPolicy": {
                              "type": "string",
                              "enum": [
                                "FULL_AVAIL_ONLY",
                                "PARTIAL_AVAIL"
                              ],
                              "description": "Required when mode is AFTER_LIVE_EDGE. Ignored for BEHIND_LIVE_EDGE (API uses FULL_AVAIL_ONLY)."
                            }
                          }
                        }
                      }
                    }
                  },
                  "distributionTarget": {
                    "type": "string",
                    "description": "Human-readable name of the distribution target (e.g., YouTube, Pluto TV, Samsung TV Plus)"
                  },
                  "destinationTypeId": {
                    "type": "number",
                    "format": "int32"
                  },
                  "staticUrlDelivery": {
                    "type": "boolean",
                    "default": false,
                    "description": "Enable static URL delivery for destinations that require syndication URLs with dynamic query parameters removed from master and child manifests."
                  },
                  "queryParams": {
                    "type": "string",
                    "description": "You can specify custom query parameters and static values that will be appended to to all traffic for an HLS destination. These custom query params can also propagated downstream to SSAI providers on ad requests."
                  },
                  "streamOutputSettings": {
                    "type": "object",
                    "description": "Only for Hulu (UDP) destinations",
                    "properties": {
                      "streamId": {
                        "type": "string",
                        "description": "The stream ID that is set in the Zixi receiver."
                      },
                      "destinationIp": {
                        "type": "string",
                        "description": "Destination IP address. Sample format: 192.0.2.0"
                      },
                      "maxLatency": {
                        "type": "number",
                        "description": "Maximum latency - optional. The size of the buffer (in ms) that you want. Valid range: 0-60,000. Valid characters: 0-9"
                      },
                      "port": {
                        "type": "number"
                      }
                    }
                  },
                  "rtmpSettings": {
                    "type": "object",
                    "description": "Only for RTMP destinations",
                    "properties": {
                      "outputResolution": {
                        "type": "string",
                        "enum": [
                          "1080p",
                          "720p"
                        ]
                      },
                      "primaryUrl": {
                        "type": "string",
                        "description": "Primary Destination URL"
                      },
                      "backupUrl": {
                        "type": "string",
                        "description": "Backup Destination URL"
                      },
                      "streamKey": {
                        "type": "string",
                        "description": "Stream Key or Stream Name"
                      },
                      "authEnabled": {
                        "type": "boolean",
                        "description": "User Authentication"
                      },
                      "username": {
                        "type": "string"
                      },
                      "password": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "DestinationResponse",
                  "type": "object",
                  "properties": {
                    "destination": {
                      "type": "object",
                      "title": "Destination",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "channelId": {
                          "type": "string"
                        },
                        "ssaiEnabled": {
                          "type": "boolean"
                        },
                        "enabled": {
                          "type": "boolean"
                        },
                        "type": {
                          "type": "string"
                        },
                        "settings": {
                          "type": "object",
                          "properties": {
                            "version": {
                              "type": "number"
                            },
                            "adMarkers": {
                              "type": "string"
                            },
                            "queryParams": {
                              "type": "string"
                            },
                            "settingsVersion": {
                              "type": "number"
                            },
                            "hlsSegmentDuration": {
                              "type": "number"
                            },
                            "manifestBitrateOrder": {
                              "type": "string"
                            },
                            "audioNormalizationRequired": {
                              "type": "boolean"
                            },
                            "hlsLivePlaylistWindowDuration": {
                              "type": "number"
                            }
                          }
                        },
                        "distributionTarget": {
                          "type": "string",
                          "description": "Human-readable name of the distribution target (e.g., YouTube, Pluto TV, Samsung TV Plus)"
                        },
                        "destinationTypeName": {
                          "type": "string"
                        },
                        "queryParams": {
                          "type": "string"
                        },
                        "description": {
                          "type": "string"
                        },
                        "url": {
                          "type": "string",
                          "description": "Destination playback URL (only for HLS destinations)"
                        },
                        "adInsertionServers": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "title": "AdInsertionServer",
                            "properties": {
                              "id": {
                                "type": "string"
                              },
                              "deviceCategory": {
                                "type": "string",
                                "enum": [
                                  "default",
                                  "ott",
                                  "tablet",
                                  "mobile",
                                  "tv"
                                ]
                              },
                              "slateId": {
                                "type": "string"
                              },
                              "queryParams": {
                                "type": "string"
                              },
                              "url": {
                                "type": "string"
                              },
                              "prefetch": {
                                "type": "object",
                                "properties": {
                                  "enabled": {
                                    "type": "boolean"
                                  },
                                  "retrieval": {
                                    "type": "number"
                                  }
                                }
                              },
                              "logging": {
                                "type": "object",
                                "properties": {
                                  "percentage": {
                                    "type": "number"
                                  },
                                  "expiration": {
                                    "type": "number"
                                  }
                                }
                              },
                              "availSuppressionConfig": {
                                "$ref": "#/paths/~1scheduler~1v1~1channels~1%7Bid%7D~1destinations/post/requestBody/content/application~1json/schema/properties/adInsertionServers/items/properties/availSuppressionConfig"
                              }
                            }
                          }
                        },
                        "streamOutputSettings": {
                          "type": "object",
                          "description": "Only for Hulu (UDP) destinations",
                          "properties": {
                            "streamId": {
                              "type": "string"
                            },
                            "destinationIp": {
                              "type": "string"
                            },
                            "maxLatency": {
                              "type": "number"
                            },
                            "port": {
                              "type": "number"
                            }
                          }
                        },
                        "rtmpSettings": {
                          "type": "object",
                          "description": "Only for RTMP destinations",
                          "properties": {
                            "outputResolution": {
                              "type": "string",
                              "enum": [
                                "1080p",
                                "720p"
                              ]
                            },
                            "primaryUrl": {
                              "type": "string"
                            },
                            "backupUrl": {
                              "type": "string"
                            },
                            "streamKey": {
                              "type": "string"
                            },
                            "authEnabled": {
                              "type": "boolean"
                            },
                            "username": {
                              "type": "string"
                            },
                            "password": {
                              "type": "string"
                            }
                          }
                        },
                        "staticUrlDelivery": {
                          "type": "boolean"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```